Skip to main content
GET
/
main-page
/
blocks
Retrieve recent blocks as displayed on Blockscout homepage
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/main-page/blocks?apikey='
[
  {
    "base_fee_per_gas": "<string>",
    "burnt_fees": "<string>",
    "burnt_fees_percentage": 123,
    "difficulty": "<string>",
    "gas_limit": "<string>",
    "gas_target_percentage": 123,
    "gas_used": "<string>",
    "gas_used_percentage": 123,
    "hash": "<string>",
    "height": 1,
    "internal_transactions_count": 123,
    "is_pending_update": true,
    "miner": {
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "proxy_type": "eip1167",
      "reputation": "ok",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    },
    "nonce": "<string>",
    "parent_hash": "<string>",
    "priority_fee": "<string>",
    "rewards": [
      {
        "reward": "<string>",
        "type": "<string>",
        "address_hash": "<string>"
      }
    ],
    "size": 123,
    "timestamp": "2023-11-07T05:31:56Z",
    "total_difficulty": "<string>",
    "transaction_fees": "<string>",
    "transactions_count": 123,
    "type": "block",
    "uncles_hashes": [
      {
        "hash": "<string>"
      }
    ],
    "withdrawals_count": 1,
    "arbitrum": {
      "batch_number": 123,
      "commitment_transaction": {
        "hash": "<string>",
        "status": "unfinalized",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "confirmation_transaction": {
        "hash": "<string>",
        "status": "unfinalized",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "status": "Confirmed on base",
      "batch_data_container": "in_blob4844",
      "delayed_messages": 123,
      "l1_block_number": 123,
      "send_count": 123,
      "send_root": "<string>"
    }
  }
]

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

200 - application/json

List of recent blocks on the home page.

base_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
burnt_fees
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
burnt_fees_percentage
number<float> | null
required
difficulty
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_limit
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_target_percentage
number<float>
required
gas_used
string
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_used_percentage
number<float>
required
hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
height
integer
required
Required range: x >= 0
internal_transactions_count
integer | null
required
is_pending_update
boolean
required
miner
Address · object
required

Address

nonce
string | null
required
Pattern: ^0x([A-Fa-f0-9]*)$
parent_hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
priority_fee
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
rewards
object[]
required
size
integer
required
timestamp
string<date-time>
required
total_difficulty
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
transaction_fees
string
required
Pattern: ^-?([1-9][0-9]*|0)$
transactions_count
integer
required
type
enum<string>
required
Available options:
block,
uncle,
reorg
uncles_hashes
object[]
required
withdrawals_count
integer | null
required
Required range: x >= 0
arbitrum
object